﻿<?xml version="1.0" encoding="utf-8"?>
<html xmlns:MadCap="http://www.madcapsoftware.com/Schemas/MadCap.xsd" class="concept">
    <head>
        <link href="../Resources/TableStyles/Default-Table.css" rel="stylesheet" MadCap:stylesheetType="table" /><title>ARS Tasks Configurations</title>
        <link href="../Resources/Stylesheets/Styles.css" rel="stylesheet" type="text/css" />
    </head>
    <body>
        <h1><a name="top"></a>ARS Tasks Configurations</h1>
        <p>The&#160;<strong>Global&#160;Configurations</strong>&#160;page for&#160;<strong>Tasks</strong>&#160;allows you to manage email notifications and settings for tasks.</p>
        <p>To access this page, log in to Saviynt Identity Governance and Administration (IGA) and navigate to&#160;<strong>Admin &gt; Global Configurations&#160;</strong>and select&#160;<strong>Tasks</strong>.</p>
        <p>
            <img src="../Resources/Images/Global Configurations page for Tasks.png" style="width: 700px;height: 300px;" /><![CDATA[              ]]></p>
        <p>The <strong>Global Configurations</strong> page for <strong>Tasks</strong> consists of the following sections:</p>
        <ul>
            <li>
                <p>Notifications</p>
            </li>
            <li>
                <p>Settings</p>
            </li>
        </ul>
        <h2 id="ARSTasksConfigurations-Notifications">Notifications </h2>
        <p>This section provides global configuration settings for task notifications in IGA. </p>
        <table class="TableStyle-Default-Table" style="width: 100%;mc-table-style: url('../Resources/TableStyles/Default-Table.css');" cellspacing="0">
            <col style="width: 320px;" class="TableStyle-Default-Table-Column-Column1" />
            <col style="width: 906px;" class="TableStyle-Default-Table-Column-Column1" />
            <thead>
                <tr class="TableStyle-Default-Table-Head-Header1">
                    <th class="TableStyle-Default-Table-HeadE-Column1-Header1">Configuration Field</th>
                    <th class="TableStyle-Default-Table-HeadD-Column1-Header1">Description</th>
                </tr>
            </thead>
            <tbody>
                <tr class="TableStyle-Default-Table-Body-Body1">
                    <td class="TableStyle-Default-Table-BodyE-Column1-Body1">
                        <p class="table-text">Task Create Email Template</p>
                    </td>
                    <td class="TableStyle-Default-Table-BodyD-Column1-Body1">
                        <p class="table-text">Select the email template to&#160;notify&#160;the creation of new tasks associated&#160;with&#160;the user.</p>
                    </td>
                </tr>
                <tr class="TableStyle-Default-Table-Body-Body1">
                    <td class="TableStyle-Default-Table-BodyE-Column1-Body1">
                        <p class="table-text">Task Complete Email Template</p>
                    </td>
                    <td class="TableStyle-Default-Table-BodyD-Column1-Body1">
                        <p class="table-text">Select the&#160;email template&#160;to&#160;notify&#160;the completion of pending tasks&#160;associated with&#160;the user.</p>
                    </td>
                </tr>
                <tr class="TableStyle-Default-Table-Body-Body1">
                    <td class="TableStyle-Default-Table-BodyE-Column1-Body1">
                        <p class="table-text">Task Complete Email Template For New Account Password</p>
                        <p class="table-text" MadCap:conditions="Default.v55X">(Available from Release v5.5 SP4 onwards)</p>
                    </td>
                    <td class="TableStyle-Default-Table-BodyD-Column1-Body1">
                        <p class="table-text">Select the email template to notify a user when the&#160;new account password is generated and the&#160;request is completed.</p>
                        <p class="table-text">To send the account details and password in separate emails, use the New Account Password (Beneficiary) Email template. Using this template, you can share the account details with multiple people but password only with the beneficiary. The beneficiary can store the email containing account details and other instructions and delete the email containing password. This template when configured is triggered in 'new account' and 'change password' scenarios. </p>
                        <div class="note" MadCap:autonum="&lt;b&gt;Note&lt;/b&gt;">
                            <p class="note">If you include other users in To, CC, or BCC, separate emails will be triggered.&#160;</p>
                        </div>
                    </td>
                </tr>
                <tr class="TableStyle-Default-Table-Body-Body1">
                    <td class="TableStyle-Default-Table-BodyE-Column1-Body1">
                        <p class="table-text">Task Discontinue Email Template</p>
                    </td>
                    <td class="TableStyle-Default-Table-BodyD-Column1-Body1">
                        <p class="table-text">Select the email template to notify a user when the&#160;tasks associated with the user are discontinued.&#160;</p>
                    </td>
                </tr>
                <tr class="TableStyle-Default-Table-Body-Body1">
                    <td class="TableStyle-Default-Table-BodyE-Column1-Body1">
                        <p class="table-text">Email for Disable Account Task Completion</p>
                    </td>
                    <td class="TableStyle-Default-Table-BodyD-Column1-Body1">
                        <p class="table-text">Select the email template to notify when a Disable Account task is completed.</p>
                    </td>
                </tr>
                <tr class="TableStyle-Default-Table-Body-Body1">
                    <td class="TableStyle-Default-Table-BodyE-Column1-Body1">
                        <p class="table-text">Email for Remove Account Task Completion</p>
                    </td>
                    <td class="TableStyle-Default-Table-BodyD-Column1-Body1">
                        <p class="table-text">Select the email template to notify when a Remove Account task is completed.</p>
                    </td>
                </tr>
                <tr class="TableStyle-Default-Table-Body-Body1">
                    <td class="TableStyle-Default-Table-BodyE-Column1-Body1">
                        <p class="table-text">Task Count Limit Email Template</p>
                    </td>
                    <td class="TableStyle-Default-Table-BodyD-Column1-Body1">
                        <p class="table-text">Select the email template to notify the&#160;users or owners about the limit set on the task count.</p>
                    </td>
                </tr>
                <tr class="TableStyle-Default-Table-Body-Body1">
                    <td class="TableStyle-Default-Table-BodyB-Column1-Body1">
                        <p class="table-text">Email for New Account Task Completion To Manager Delegate</p>
                        <p class="table-text" MadCap:conditions="Default.v55X">(Available from Release v5.5 SP4 onwards)</p>
                    </td>
                    <td class="TableStyle-Default-Table-BodyA-Column1-Body1">
                        <p class="table-text">Select this to send email to the manager delegate when a new account task is completed. By default the configuration is set to <strong>OFF</strong>.</p>
                    </td>
                </tr>
            </tbody>
        </table>
        <h2 id="ARSTasksConfigurations-Settings">Settings</h2>
        <p>This section provides global configuration settings for tasks in IGA.</p>
        <table class="TableStyle-Default-Table" style="width: 100%;mc-table-style: url('../Resources/TableStyles/Default-Table.css');" cellspacing="0">
            <col style="width: 321px;" class="TableStyle-Default-Table-Column-Column1" />
            <col style="width: 905px;" class="TableStyle-Default-Table-Column-Column1" />
            <thead>
                <tr class="TableStyle-Default-Table-Head-Header1">
                    <th class="TableStyle-Default-Table-HeadE-Column1-Header1">Configuration Field</th>
                    <th class="TableStyle-Default-Table-HeadD-Column1-Header1">Description</th>
                </tr>
            </thead>
            <tbody>
                <tr class="TableStyle-Default-Table-Body-Body1">
                    <td class="TableStyle-Default-Table-BodyE-Column1-Body1">
                        <p class="table-text">Instant Provisioning Tasks</p>
                    </td>
                    <td class="TableStyle-Default-Table-BodyD-Column1-Body1">
                        <p class="table-text">When you create a request and if it is successfully approved through the&#160;<strong>Request Approval</strong>&#160;process in IGA, the request is approved for provisioning.&#160;IGA creates tasks for the approved requests and&#160;tracks the tasks to check whether their corresponding provisioning is completed in the application database.&#160;You&#160;can manually provision requests and complete their pending tasks (the tasks that have to be completed),&#160;automatically provision requests by running the&#160;<strong>WSRETRYJob</strong>,&#160;or enable instant provisioning of requests to complete the tasks without running the&#160;<strong>WSRETRY&#160;Job</strong>.</p>
                        <p class="table-text">When instant provisioning is enabled, you do not need to run the&#160;<strong>WSRETRY job</strong>&#160;or manually provision the request to complete the tasks. You can select the task types that need provisioning using instant provisioning configuration and they are accordingly provisioned. Instant provisioning works only for the tasks created via requests and tasks created through rules.</p>
                        <p class="table-text">Instant provisioning of tasks is configured using&#160;<strong>Instant Provisioning Tasks</strong>&#160;from&#160;<strong>Admin &gt; Global Configurations &gt; Tasks</strong>.</p>
                        <p class="table-text">When you select one or more options to trigger instant provisioning of tasks, instant provisioning is internally triggered for the selected tasks.</p>
                        <p class="table-text">The following options are available:</p>
                        <ul>
                            <li>
                                <p class="table-text">Add Access</p>
                            </li>
                            <li>
                                <p class="table-text">Remove Access</p>
                            </li>
                            <li>
                                <p class="table-text">New Account</p>
                            </li>
                            <li>
                                <p class="table-text">Enable Account</p>
                            </li>
                            <li>
                                <p class="table-text">Disable Account</p>
                            </li>
                            <li>
                                <p class="table-text">Update Account</p>
                            </li>
                            <li>
                                <p class="table-text">Delete Account</p>
                            </li>
                            <li>
                                <p class="table-text">Change Password</p>
                            </li>
                            <li>
                                <p class="table-text">Update User</p>
                            </li>
                            <li>
                                <p class="table-text">Entitlement Management</p>
                            </li>
                            <li>
                                <p class="table-text">Lock Account</p>
                            </li>
                            <li>
                                <p class="table-text">Unlock Account</p>
                            </li>
                            <li>
                                <p class="table-text">Update Access End Date</p>
                            </li>
                        </ul>
                        <div class="confluence-information-macro confluence-information-macro-information conf-macro output-block">
                            <div class="confluence-information-macro-body">
                                <div class="note" MadCap:autonum="&lt;b&gt;Note&lt;/b&gt;">
                                    <p class="note">If a task fails to execute during instant provisioning, the task is not closed. It is executed again during the next run of the&#160;<strong>WSRETRY&#160;</strong>job.</p>
                                </div>
                            </div>
                        </div>
                    </td>
                </tr>
                <tr class="TableStyle-Default-Table-Body-Body1">
                    <td class="TableStyle-Default-Table-BodyE-Column1-Body1">
                        <p class="table-text">UI Wait for Instant Provisioning</p>
                    </td>
                    <td class="TableStyle-Default-Table-BodyD-Column1-Body1">
                        <div class="confluence-information-macro confluence-information-macro-information conf-macro output-block">
                            <div class="confluence-information-macro-body">
                                <div class="important">
                                    <p class="note">Configure <strong>Instant Provisioning Tasks</strong> before enabling this option.</p>
                                </div>
                            </div>
                        </div>
                        <p class="table-text">Use this option to enable or disable IGA User Interface (UI) wait time till the task is provisioned using instant provisioning.</p>
                        <ul>
                            <li>
                                <p class="table-text">Enable this option to instruct IGA to wait until a task is provisioned using instant provisioning.&#160;The request status shows pending for approval until the task is provisioned.</p>
                            </li>
                            <li>
                                <p class="table-text">Disable this option&#160;if you do not want&#160;the IGA to wait for&#160;instant provisioning. In this case, the request approval is closed and you can access the request from the <strong>Request Approval List</strong> page in a completed state.</p>
                            </li>
                        </ul>
                    </td>
                </tr>
                <tr class="TableStyle-Default-Table-Body-Body1">
                    <td class="TableStyle-Default-Table-BodyE-Column1-Body1">
                        <p class="table-text">Endpoints to Synchronize Password</p>
                    </td>
                    <td class="TableStyle-Default-Table-BodyD-Column1-Body1">
                        <p class="table-text">Select the endpoints or target applications for which the password needs to be synchronized. For example, Unix.</p>
                        <p class="table-text">This configuration to synchronize password for selected endpoints works in conjunction with the configuration option <strong>Set Security Question on Login</strong> from <strong>Admin &gt; Global Configurations &gt; Preferences</strong> page. Here, you need to select the applications for which you want to synchronize and reset the password when a user is using the forgot password feature and resetting the password. A task is generated after password reset for the respective endpoint you have selected here. Once the task is approved, the password is reset in the selected application in the <strong>Endpoints to Synchronize Password</strong> configuration.&#160;</p>
                    </td>
                </tr>
                <tr class="TableStyle-Default-Table-Body-Body1">
                    <td class="TableStyle-Default-Table-BodyB-Column1-Body1">
                        <p class="table-text">Task Execution Hierarchy</p>
                    </td>
                    <td class="TableStyle-Default-Table-BodyA-Column1-Body1">
                        <p class="table-text">You can define the&#160;hierarchy&#160;to execute the tasks in IGA.&#160;This hierarchy represents the order (sequence) in which the task types are executed after running the&#160;<strong>WSRETRY&#160;</strong>job for a request.</p>
                        <p class="table-text">By default, IGA executes the task types in the following hierarchy:</p>
                        <ul>
                            <li>
                                <p class="table-text">Add Account = 1</p>
                            </li>
                            <li>
                                <p class="table-text">Remove Account or Remove Access = 2</p>
                            </li>
                            <li>
                                <p class="table-text">Create New Account = 3</p>
                            </li>
                            <li>
                                <p class="table-text">Change Password = 5</p>
                            </li>
                            <li>
                                <p class="table-text">Enable Account = 6</p>
                            </li>
                            <li>
                                <p class="table-text">Delete Account =8</p>
                            </li>
                            <li>
                                <p class="table-text">Update User =9</p>
                            </li>
                            <li>
                                <p class="table-text">Update Account =12</p>
                            </li>
                            <li>
                                <p class="table-text">Disable Account = 14</p>
                            </li>
                            <li>
                                <p class="table-text">Create Entitlement = 24</p>
                            </li>
                            <li>
                                <p class="table-text">Update Entitlement - Add Access = 25</p>
                            </li>
                            <li>
                                <p class="table-text">Update Entitlement - Remove Access&#160;= 26</p>
                            </li>
                            <li>
                                <p class="table-text">Update Entitlement= 27</p>
                            </li>
                            <li>
                                <p class="table-text">Delete Entitlement = 28</p>
                            </li>
                            <li>
                                <p class="table-text">Grant Access to Firefighter ID = 29</p>
                            </li>
                            <li>
                                <p class="table-text">Revoke Access for&#160;Firefighter ID&#160;&#160;= 30</p>
                            </li>
                            <li>
                                <p class="table-text">Update Access End Date = 31</p>
                            </li>
                            <li>
                                <p class="table-text">Lock Account = 32</p>
                            </li>
                            <li>
                                <p class="table-text">Unlock Account = 33</p>
                            </li>
                        </ul>
                        <div class="confluence-information-macro confluence-information-macro-information conf-macro output-block">
                            <div class="confluence-information-macro-body">
                                <div class="note" MadCap:autonum="&lt;b&gt;Note&lt;/b&gt;">
                                    <p class="note">The task types and the corresponding values which represent the priority of each task type are given in the preceding list.&#160;The numerical values of the task types are internal values assigned in IGA and you cannot modify them.</p>
                                </div>
                            </div>
                        </div>
                        <p class="table-text">The default order in which the task&#160;types are executed in IGA is:</p>
                        <blockquote>
                            <p>1 &gt; 12 &gt; 9 &gt; 3 &gt; 2 (remove access &gt; remove account) &gt; 5 &gt; 6 &gt; 14 &gt; 8 &gt; 24 &gt; 27 &gt; 28 &gt; 25 &gt; 26 &gt; 29 &gt; 30</p>
                        </blockquote>
                        <div class="confluence-information-macro confluence-information-macro-information conf-macro output-block">
                            <div class="confluence-information-macro-body">
                                <div class="note" MadCap:autonum="&lt;b&gt;Note&lt;/b&gt;">
                                    <p class="note">You are recommended to retain the default task execution hierarchy for the task types in IGA.&#160; Note that this is a global configuration applicable to all applications configured in IGA.</p>
                                </div>
                            </div>
                        </div>
                        <p class="table-text">In case you want to modify (customize) this default order in which the task types are executed in IGA, select&#160;the list of task types in the&#160;<strong>Task Execution Hierarchy&#160;</strong>field&#160;from&#160;<strong>Admin &gt; Global Configurations &gt; Request</strong>. </p>
                        <div class="confluence-information-macro confluence-information-macro-information conf-macro output-block">
                            <div class="confluence-information-macro-body">
                                <div class="note" MadCap:autonum="&lt;b&gt;Note&lt;/b&gt;">
                                    <p class="note">When you configure the&#160;<strong>Task Execution Hierarchy</strong>&#160;field, this configuration overrides the default task type execution hierarchy given in the preceding list. Then,&#160;IGA executes the task types in the same order in which&#160;you selected the task types in this field.</p>
                                </div>
                            </div>
                        </div>
                        <p class="table-text">The following options are available in the&#160;<strong>Task Execution Hierarchy</strong>&#160;field. Here, you can select more than one option:</p>
                        <ul>
                            <li>
                                <p class="table-text">Add Access</p>
                            </li>
                            <li>
                                <p class="table-text">Remove Access</p>
                            </li>
                            <li>
                                <p class="table-text">New Account</p>
                            </li>
                            <li>
                                <p class="table-text">Change Password</p>
                            </li>
                            <li>
                                <p class="table-text">Enable Account</p>
                            </li>
                            <li>
                                <p class="table-text">Remove Account</p>
                            </li>
                            <li>
                                <p class="table-text">Update User</p>
                            </li>
                            <li>
                                <p class="table-text">Update Account</p>
                            </li>
                            <li>
                                <p class="table-text">Disable Account</p>
                            </li>
                            <li>
                                <p class="table-text">Create Entitlement</p>
                            </li>
                            <li>
                                <p class="table-text">Update Entitlement</p>
                            </li>
                            <li>
                                <p class="table-text">Delete Entitlement</p>
                            </li>
                            <li>
                                <p class="table-text">Entitlement Management</p>
                            </li>
                            <li>
                                <p class="table-text">Add Child Entitlement</p>
                            </li>
                            <li>
                                <p class="table-text">Remove Child Entitlement</p>
                            </li>
                            <li>
                                <p class="table-text">Grant Firefighter ID</p>
                            </li>
                            <li>
                                <p class="table-text">Revoke Firefighter ID </p>
                            </li>
                            <li>
                                <p class="table-text">Update Access End Date</p>
                            </li>
                            <li>
                                <p class="table-text">Lock Account</p>
                            </li>
                            <li>
                                <p class="table-text">Unlock Account</p>
                            </li>
                        </ul>
                        <p class="table-text">For more information about the data mapping, see <MadCap:conditionalText MadCap:conditions="Default.Link"><a href="Saviynt-Enterprise-Identity-Cloud-Schema-Guide.htm" pubname="EIC-DB-Schema-Reference" class="peer">EIC Database Schema Reference Guide</a></MadCap:conditionalText>.</p>
                    </td>
                </tr>
            </tbody>
        </table>
    </body>
</html>